package com.heyu.api.data.service.impl.calca;
/**
* <p>
* account数据变更表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.CalcaAccountLogDao;
import com.heyu.api.data.entity.calca.CalcaAccountLogEntity;
import com.heyu.api.data.service.calca.CalcaAccountLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class CalcaAccountLogServiceImpl extends ServiceImpl<CalcaAccountLogDao, CalcaAccountLogEntity> implements CalcaAccountLogService {


    @Autowired
	private CalcaAccountLogDao calcaAccountLogDao;



	@Override
	public CalcaAccountLogEntity selectCalcaAccountLogById(Long id){
		return calcaAccountLogDao.selectCalcaAccountLogById(id);
	}



	@Override
	public Long insertCalcaAccountLog(CalcaAccountLogEntity calcaAccountLog){
		return calcaAccountLogDao.insertCalcaAccountLog(calcaAccountLog);
	}



	@Override
	public Long insertOrUpdateCalcaAccountLog(CalcaAccountLogEntity calcaAccountLog){
		return calcaAccountLogDao.insertOrUpdateCalcaAccountLog(calcaAccountLog);
	}



	@Override
	public int updateCalcaAccountLogById(CalcaAccountLogEntity calcaAccountLog){
		return calcaAccountLogDao.updateCalcaAccountLogById(calcaAccountLog);
	}



	@Override
	public int updateCoverCalcaAccountLogById(CalcaAccountLogEntity calcaAccountLog){
		return calcaAccountLogDao.updateCoverCalcaAccountLogById(calcaAccountLog);
	}



	@Override
	public int deleteCalcaAccountLogById(Long id){
		return calcaAccountLogDao.deleteCalcaAccountLogById(id);
	}



}
